Loading...
Searching...
No Matches
juce::Toolbar::LookAndFeelMethods Struct Referenceabstract

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

The documentation for this struct was generated from the following file:

- juce_gui_basics/widgets/juce_Toolbar.h

Inheritance diagram for juce::Toolbar::LookAndFeelMethods:

## Public Member Functions

virtual | ~LookAndFeelMethods ()=default
virtual void | paintToolbarBackground (Graphics &, int width, int height, Toolbar &)=0
virtual Button * | createToolbarMissingItemsButton (Toolbar &)=0
virtual void | paintToolbarButtonBackground (Graphics &, int width, int height, bool isMouseOver, bool isMouseDown, ToolbarItemComponent &)=0
virtual void | paintToolbarButtonLabel (Graphics &, int x, int y, int width, int height, const String &text, ToolbarItemComponent &)=0

## Constructors and Destructors

## ~LookAndFeelMethods()

virtual juce::Toolbar::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |

virtual default

## Member Functions

## paintToolbarBackground()

virtual void juce::Toolbar::LookAndFeelMethods::paintToolbarBackground | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | Toolbar & | )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::Toolbar::Toolbar().

## createToolbarMissingItemsButton()

virtual Button * juce::Toolbar::LookAndFeelMethods::createToolbarMissingItemsButton | ( | Toolbar & |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::Toolbar::Toolbar().

## paintToolbarButtonBackground()

virtual void juce::Toolbar::LookAndFeelMethods::paintToolbarButtonBackground | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | bool | isMouseOver,
|  | bool | isMouseDown,
|  | ToolbarItemComponent & | )

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::Component::isMouseOver().

## paintToolbarButtonLabel()

virtual void juce::Toolbar::LookAndFeelMethods::paintToolbarButtonLabel | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | const String & | text,
|  | ToolbarItemComponent & | )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References x, and y.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited